libmediawiki-api-perl_0.40-1_all.deb


Advertisement

Description

libmediawiki-api-perl - Perl interface to the MediaWiki API

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libmediawiki-api-perl
Package version 0.40
Package release 1
Package architecture all
Package type deb
Installed size 94 B
Download size 27.33 KB
Official Mirror ftp.br.debian.org
MediaWiki::API is a Perl module that provides an interface to the MediaWiki
API (see <URL:http://www.mediawiki.org/wiki/API>), which allows the creation
of scripts to automate editing and extraction of data from MediaWiki-driven
sites like Wikipedia.

Alternatives

Package Version Architecture Repository
libmediawiki-api-perl_0.40-1_all.deb 0.40 all Debian Main
libmediawiki-api-perl - - -

Requires

Name Value
libjson-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package libmediawiki-api-perl_0.40-1_all.deb
Source Package libmediawiki-api-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmediawiki-api-perl deb package:
    # sudo apt-get install libmediawiki-api-perl

Files

Path
/usr/share/doc/libmediawiki-api-perl/changelog.Debian.gz
/usr/share/doc/libmediawiki-api-perl/changelog.gz
/usr/share/doc/libmediawiki-api-perl/copyright
/usr/share/man/man3/MediaWiki::API.3pm.gz
/usr/share/perl5/MediaWiki/API.pm

Changelog

2014-10-17 - gregor herrmann <gregoa@debian.org>
libmediawiki-api-perl (0.40-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Update Vcs-Browser URL to cgit web frontend
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Update years of upstream and packaging copyright.
* Update DEP3 headers of patch disable-network-test.diff.
* Add debian/upstream/metadata
* Mark package as autopkgtest-able.
* Declare compliance with Debian Policy 3.9.6.
2012-06-08 - gregor herrmann <gregoa@debian.org>
libmediawiki-api-perl (0.39-1) unstable; urgency=low
* New upstream release.
* debian/copyright: update to Copyright-Format 1.0.
* Update years of upstream copyright.
* Bump Standards-Version to 3.9.3 (no changes).
* Set debhelper compatibility level to 8.
* Build depend on Test::More 0.98.
* Add /me to Uploaders.
2011-08-10 - Ansgar Burchardt <ansgar@debian.org>
libmediawiki-api-perl (0.37-1) unstable; urgency=low
* New upstream release.
2011-08-08 - Ansgar Burchardt <ansgar@debian.org>
libmediawiki-api-perl (0.36-1) unstable; urgency=low
[ Ansgar Burchardt ]
* New upstream release.
* Disable tests that rely on a working network connection.
+ new patch: disable-network-test.diff
* debian/copyright: Update years of copyright.
* Update my email address.
* debian/control: Convert Vcs-* fields to Git.
* Bump Standards-Version to 3.9.2 (no changes).
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
2010-09-01 - Ansgar Burchardt <ansgar@43-1.org>
libmediawiki-api-perl (0.35-1) unstable; urgency=low
* New upstream release
* debian/copyright: Refer to /usr/share/common-licenses/GPL-1; refer to
"Debian systems" instead of "Debian GNU/Linux systems".
* Bump Standards-Version to 3.9.1.
2010-07-26 - Ansgar Burchardt <ansgar@43-1.org>
libmediawiki-api-perl (0.34-1) unstable; urgency=low
* New upstream release.
* Bump Standards-Version to 3.9.0 (no changes).
2010-06-11 - Ansgar Burchardt <ansgar@43-1.org>
libmediawiki-api-perl (0.33-1) unstable; urgency=low
* New upstream release.
2010-06-06 - Ansgar Burchardt <ansgar@43-1.org>
libmediawiki-api-perl (0.32-1) unstable; urgency=low
* New upstream release.
2010-04-10 - Ansgar Burchardt <ansgar@43-1.org>
libmediawiki-api-perl (0.30-1) unstable; urgency=low
* New upstream release.
* Use source format 3.0 (quilt).
* Bump Standards-Version to 3.8.4 (no changes).
* Add myself to Uploaders.
2010-01-10 - Jonathan Yu <jawnsy@cpan.org>
libmediawiki-api-perl (0.29-1) unstable; urgency=low
[ Jonathan Yu ]
* New upstream release
* Update copyright to new DEP5 format
* Rewrite control description
[ Ryan Niebur ]
* Update ryan52's email address
[ gregor herrmann ]
* debian/copyright: update years of upstream copyright.

See Also

Package Description
libmedimport-dev_3.0.6-7_amd64.deb Development files for libmedimport0
libmedimport0_3.0.6-7_amd64.deb Library to import old version files
libmeep-dev_1.2.1-2+b1_amd64.deb development library for using meep
libmeep-lam4-7_1.2.1-3+b1_amd64.deb library for using parallel (OpenMPI) version of meep
libmeep-lam4-dev_1.2.1-3+b1_amd64.deb development library for using parallel (OpenMPI) version of meep
libmeep-mpi-default-dev_1.2.1-2+b1_amd64.deb development library for using parallel (OpenMPI) version of meep
libmeep-mpi-default7_1.2.1-2+b1_amd64.deb library for using parallel (OpenMPI) version of meep
libmeep-mpich2-7_1.2.1-3+b1_amd64.deb library for using parallel (OpenMPI) version of meep
libmeep-mpich2-dev_1.2.1-3+b1_amd64.deb development library for using parallel (OpenMPI) version of meep
libmeep-openmpi-dev_1.2.1-2+b1_amd64.deb development library for using parallel (OpenMPI) version of meep
libmeep-openmpi7_1.2.1-2+b1_amd64.deb library for using parallel (OpenMPI) version of meep
libmeep7_1.2.1-2+b1_amd64.deb library for using meep
libmelt-ocaml-dev_1.4.0-1+b1_amd64.deb LaTeX with OCaml (libraries)
libmemcached-dev_1.0.18-4_amd64.deb C and C++ client library to the memcached server (development files)
libmemcached-tools_1.0.18-4_amd64.deb Commandline tools for talking to memcached via libmemcached
Advertisement
Advertisement